CallbackReference.AttachOptions (JNA API)
Description: declaration: package: com.sun.jna, class: CallbackReference, class: AttachOptions

Package com.sun.jna

# Class CallbackReference.AttachOptions

java.lang.Object
com.sun.jna.Structure
com.sun.jna.CallbackReference.AttachOptions

Enclosing class:
  CallbackReference

static class CallbackReference.AttachOptions extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FFIType, Structure.FieldOrder, Structure.StructField, Structure.StructureSet`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `daemon`
  `boolean`
  `detach`
  `static final List<String>`
  `FIELDS`
  `String`
  `name`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE, fieldOrder, layoutInfo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<String>`
  `getFieldOrder()`
  Returns this Structure's field names in their proper order.
  When defining a new `Structure` you shouldn't override this method, but use `Structure.FieldOrder` annotation to define your field order(this also works with inheritance)
  If you want to do something non-standard you can override the method and define it as followed

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, busy, cacheTypeInfo, calculateSize, calculateSize, clear, conditionalAutoRead, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, fields, getAutoRead, getAutoWrite, getFieldList, getFields, getFieldTypeInfo, getFieldValue, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, getTypeInfo, getTypeInfo, getTypeMapper, hashCode, newInstance, newInstance, read, readField, readField, reading, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldValue, setStringEncoding, size, size, size, sortFields, toArray, toArray, toString, toString, updateStructureByReference, useMemory, useMemory, useMemory, validate, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FIELDS

    public static final List<String> FIELDS

  - ### daemon

    public boolean daemon

  - ### detach

    public boolean detach

  - ### name

    public String name

- ## Constructor Details

  - ### AttachOptions

    AttachOptions()

- ## Method Details

  - ### getFieldOrder

    protected List<String> getFieldOrder()
    Description copied from class: `Structure`
    Returns this Structure's field names in their proper order.
    When defining a new `Structure` you shouldn't override this method, but use `Structure.FieldOrder` annotation to define your field order(this also works with inheritance)
    If you want to do something non-standard you can override the method and define it as followed

         protected List getFieldOrder() {
             return Arrays.asList(...);
         }

    IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

         protected List getFieldOrder() {
             List fields = new LinkedList(super.getFieldOrder());
             fields.addAll(Arrays.asList(...));
             return fields;
         }

    Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
    Overrides:
      `getFieldOrder` in class `Structure`
    Returns:
      ordered list of field names